# Page Not Found

The URL `reference/initial-vision-2023-text-to-openworld-engine` does not exist. This page may have been moved, renamed, or deleted.

## Suggested Pages

You may be looking for one of the following:
- [Initial Vision 2023: Text-To-OpenWorld Engine](https://developer.rpggo.ai/dev-docs/thesis/initial-vision-2023-text-to-openworld-engine.md)
- [Thesis 2024: A Text-to-Game Engine for UGC-Based Role-Playing Games](https://developer.rpggo.ai/dev-docs/thesis/thesis-2024-a-text-to-game-engine-for-ugc-based-role-playing-games.md)
- [RPGGO API: the AI Engine for Game](https://developer.rpggo.ai/dev-docs/introduction/rpggo-api-the-ai-engine-for-game.md)
- [Notes: API V2 Released](https://developer.rpggo.ai/dev-docs/player-api/notes-api-v2-released.md)
- [2D AI Town with V2 API](https://developer.rpggo.ai/dev-docs/open-source-use-cases/2d-ai-town-with-v2-api.md)

## How to find the correct page

If the exact page cannot be found, you can still retrieve the information using the documentation query interface.

### Option 1 — Ask a question (recommended)

Perform an HTTP GET request on the documentation index with the `ask` parameter:

```
GET https://developer.rpggo.ai/dev-docs/thesis/initial-vision-2023-text-to-openworld-engine.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

### Option 2 — Browse the documentation index

Full index: https://developer.rpggo.ai/dev-docs/sitemap.md

Use this to discover valid page paths or navigate the documentation structure.

### Option 3 — Retrieve the full documentation corpus

Full export: https://developer.rpggo.ai/dev-docs/llms-full.txt

Use this to access all content at once and perform your own parsing or retrieval. It will be more expensive.

## Tips for requesting documentation

Prefer `.md` URLs for structured content, append `.md` to URLs (e.g., `/dev-docs/thesis/initial-vision-2023-text-to-openworld-engine.md`).

You may also use `Accept: text/markdown` header for content negotiation.
